# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# NOTE! THIS FILE IS AUTOMATICALLY GENERATED AND WILL BE
# OVERWRITTEN WHEN PREPARING PACKAGES.
#
# IF YOU WANT TO MODIFY IT, YOU SHOULD MODIFY THE TEMPLATE
# `get_provider_info_TEMPLATE.py.jinja2` IN the `provider_packages` DIRECTORY


def get_provider_info():
    return {
        'package-name': 'apache-airflow-providers-snowflake',
        'name': 'Snowflake',
        'description': '`Snowflake <https://www.snowflake.com/>`__\n',
        'versions': ['2.1.0', '2.0.0', '1.3.0', '1.2.0', '1.1.1', '1.1.0', '1.0.0'],
        'additional-dependencies': ['apache-airflow>=2.1.0'],
        'integrations': [
            {
                'integration-name': 'Snowflake',
                'external-doc-url': 'https://snowflake.com/',
                'how-to-guide': ['/docs/apache-airflow-providers-snowflake/operators/snowflake.rst'],
                'logo': '/integration-logos/snowflake/Snowflake.png',
                'tags': ['service'],
            }
        ],
        'operators': [
            {
                'integration-name': 'Snowflake',
                'python-modules': ['airflow.providers.snowflake.operators.snowflake'],
            }
        ],
        'hooks': [
            {
                'integration-name': 'Snowflake',
                'python-modules': ['airflow.providers.snowflake.hooks.snowflake'],
            }
        ],
        'transfers': [
            {
                'source-integration-name': 'Amazon Simple Storage Service (S3)',
                'target-integration-name': 'Snowflake',
                'python-module': 'airflow.providers.snowflake.transfers.s3_to_snowflake',
                'how-to-guide': '/docs/apache-airflow-providers-snowflake/operators/s3_to_snowflake.rst',
            },
            {
                'source-integration-name': 'Snowflake',
                'target-integration-name': 'Slack',
                'python-module': 'airflow.providers.snowflake.transfers.snowflake_to_slack',
                'how-to-guide': '/docs/apache-airflow-providers-snowflake/operators/snowflake_to_slack.rst',
            },
        ],
        'hook-class-names': ['airflow.providers.snowflake.hooks.snowflake.SnowflakeHook'],
    }
